# Generated by Django 5.0 on 2023-12-05 09:24

import django.db.models.deletion
import taggit.managers
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("taggit", "0006_rename_taggeditem_content_type_object_id_taggit_tagg_content_8fc721_idx"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Executor",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("description", models.TextField(blank=True, null=True)),
                ("callable", models.CharField(max_length=512)),
                ("history_provider_callable", models.CharField(blank=True, max_length=512, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Process",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("code", models.CharField(max_length=100, unique=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("system_params", models.JSONField(blank=True, null=True)),
                ("user_params", models.JSONField(blank=True, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("executor", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="processes.executor")),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        blank=True,
                        help_text="A comma-separated list of tags.",
                        through="taggit.TaggedItem",
                        to="taggit.Tag",
                        verbose_name="Tags",
                    ),
                ),
            ],
            options={
                "ordering": ("-pk",),
            },
        ),
        migrations.CreateModel(
            name="ProcessRun",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                (
                    "status",
                    models.CharField(
                        choices=[("new", "New"), ("running", "Running"), ("finished", "Finished"), ("error", "Error")],
                        default="new",
                        max_length=20,
                    ),
                ),
                (
                    "result",
                    models.CharField(
                        blank=True,
                        choices=[("success", "Success"), ("warning", "Warning"), ("failed", "Failed")],
                        max_length=20,
                        null=True,
                    ),
                ),
                ("system_params", models.JSONField(blank=True, null=True)),
                ("user_params", models.JSONField(blank=True, null=True)),
                ("output", models.JSONField(blank=True, null=True)),
                ("error_message", models.TextField(blank=True, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("process", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="processes.process")),
                ("user", models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                "ordering": ("-pk",),
            },
        ),
    ]
